Bug 109630 - Better busy/progress feedback in Kommander Executor
Summary: Better busy/progress feedback in Kommander Executor
Status: RESOLVED FIXED
Alias: None
Product: kommander
Classification: Applications
Component: Kommander executor (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: mrudolf
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-26 09:55 UTC by Dik Takken
Modified: 2007-10-07 10:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dik Takken 2005-07-26 09:55:27 UTC
Version:            (using KDE KDE 3.4.1)
Installed from:    Gentoo Packages
OS:                Linux

When using Kommander dialogs, it often happens that the dialog needs to do some processing triggered by some action of the user. While this processing takes place, the dialog is frozen and all user input is ignored.

This is a Bad Thing, because the user does not know that the dialog is busy, it just seems to get stuck from time to time. Please set a busy mousepointer or something when running time-consuming (> 0.1 second?) script-widgets to make clear to the user that the dialog is busy.
Comment 1 András Manţia 2007-10-06 20:48:50 UTC
SVN commit 722155 by amantia:

Add DCOP method to change the cursor to the wait cursor and back.

BUG: 109630

 M  +1 -0      dcopkommanderif.h  
 M  +8 -0      instance.cpp  
 M  +1 -0      instance.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=722155
Comment 2 Dik Takken 2007-10-07 10:50:54 UTC
András, thanks a lot for all of these little fixes!